
/.tz.language 0 def
/.tz.name     1 def

/timezones [
  [ "en" "Canada/Pacific" ]
  [ "pt_BR" "America/Sao_Paulo" ]
  [ "bg" "Europe/Sofia" ]
  [ "de" "Europe/Amsterdam" ]
  [ "fr" "Europe/Brussels" ]
  [ "it" "Europe/Amsterdam" ]
  [ "pl" "Europe/Belgrade" ]
  [ "pt_PT" "Europe/Lisbon" ]
  [ "ru" "Europe/Moscow" ]
  [ "ro" "Europe/Istanbul" ]
  [ "es" "Europe/Brussels" ]
  [ "uk" "Europe/Kiev" ]
] def

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Get timezone (timezone).
%
% Returns timezone for lang
%
% ( locale ) ==> ( EEEE/MMMM )
%
/lang.gettimezone {
  timezones {
    dup .tz.language get 2 index eq { .tz.name get exch pop exit } { pop } ifelse
  } forall
} def
